<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: alittleseo_panel.php
| Author: Philip Daly (HobbyMan)
| Web: http://www.hobbysites.net
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."alittleseo_panel/settings.php";

// News
if (FUSION_SELF == "news.php" && isset($_GET['readmore'])&& isnum($_GET['readmore'])) {

if (file_exists(INFUSIONS."alittleseo_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."alittleseo_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."alittleseo_panel/locale/English.php";
}

$get_news = dbarray(dbquery("SELECT news_subject, 
                                    news_image, 
                                    news_news, 
                                    news_datestamp 
                                    FROM ".DB_NEWS." 
                                    WHERE news_id = '".$_GET['readmore']."'
                                    "));
$news = (strip_tags($get_news['news_news']));
// Google Authorship
if($show_google) {
add_to_head("
<link rel='author' href='https://plus.google.com/+".$google_auth."' />
<link rel='publisher' href='https://plus.google.com/+".$google_pub."' />
<link rel='canonical' href='".$settings['siteurl'].FUSION_SELF."?readmore=".$_GET['readmore']."' />"); }
// Open Graph
if($show_og) {
add_to_head("
<meta property='og:type' content='".$locale['lseo_02']."' />
<meta property='og:url' content='".$settings['siteurl'].FUSION_SELF."?readmore=".$_GET['readmore']."' />
<meta property='og:site_name' content='".$settings['sitename']."' />
<meta property='og:title' content='".$get_news['news_subject']."' />
<meta property='og:description' content='".trimlink($news,200)."' />
<meta property='og:email' content='".$settings['siteemail']."' />
<meta property='og:locale' content='".$og_locale."' />");
if($get_news['news_image']) {
add_to_head("
<meta property='og:image' content='".$settings['siteurl']."images/news/".$get_news['news_image']."' />");
} else {
add_to_head("
<meta property='og:image' content='".$settings['siteurl'].$settings['sitebanner']."' />"); }
}
// Schema.org
add_to_head("
<meta itemprop='name' content='".$get_news['news_subject']."' />
<meta itemprop='url' content='".$settings['siteurl'].FUSION_SELF."?readmore=".$_GET['readmore']."' />
<meta itemprop='description' content='".$get_news['news_subject']."' />
<meta itemprop='datePublished' content='".(gmdate('c', $get_news['news_datestamp']))."' />");
// Twitter Card
if($show_twitter) {
add_to_head("
<meta name='twitter:card' content='summary' />
<meta name='twitter:site' content='@".$twitter_name."' />
<meta name='twitter:domain' content='".$settings['site_host']."' />
<meta name='twitter:creator' content='@".$twitter_name."' />
<meta name='twitter:title' content='".trimlink($get_news['news_subject'],70)."' />
<meta name='twitter:description' content='".trimlink($news,200)."' />
<meta name='twitter:url' content='".$settings['siteurl'].FUSION_SELF."?readmore=".$_GET['readmore']."'>"); 
if($get_news['news_image']) {
add_to_head("
<meta name='twitter:image:src' content='".$settings['siteurl']."images/news/".$get_news['news_image']."' />");
} else {
add_to_head("
<meta name='twitter:image:src' content='".$settings['siteurl'].$settings['sitebanner']."' />"); }
  }
}
  
// Articles
if (FUSION_SELF == "articles.php" && isset($_GET['article_id'])&& isnum($_GET['article_id'])) {

if (file_exists(INFUSIONS."alittleseo_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."alittleseo_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."alittleseo_panel/locale/English.php";
}

$get_art = dbarray(dbquery("SELECT article_subject, 
                                    article_snippet, 
                                    article_datestamp 
                                    FROM ".DB_ARTICLES." 
                                    WHERE article_id = '".$_GET['article_id']."'
                                    "));
$art = (strip_tags($get_art['article_snippet']));
// Google Authorship
if($show_google) {
add_to_head("
<link rel='author' href='https://plus.google.com/+".$google_auth."' />
<link rel='publisher' href='https://plus.google.com/+".$google_pub."' />
<link rel='canonical' href='".$settings['siteurl'].FUSION_SELF."?article_id=".$_GET['article_id']."' />"); }
// Open Graph
if($show_og) {
add_to_head("
<meta property='og:type' content='".$locale['lseo_03']."' />
<meta property='og:url' content='".$settings['siteurl'].FUSION_SELF."?article_id=".$_GET['article_id']."' />
<meta property='og:site_name' content='".$settings['sitename']."' />
<meta property='og:title' content='".$get_art['article_subject']."' />
<meta property='og:description' content='".trimlink($art,200)."' />
<meta property='og:image' content='".$settings['siteurl'].$settings['sitebanner']."' />
<meta property='og:email' content='".$settings['siteemail']."' />
<meta property='og:locale' content='".$og_locale."' />"); }
// Schema.org
add_to_head("
<meta itemprop='name' content='".$get_art['article_subject']."' />
<meta itemprop='url' content='".$settings['siteurl'].FUSION_SELF."?article_id=".$_GET['article_id']."' />
<meta itemprop='description' content='".$get_art['article_subject']."' />
<meta itemprop='datePublished' content='".(gmdate('c', $get_art['article_datestamp']))."' />");
// Twitter Card
if($show_twitter) {
add_to_head("
<meta name='twitter:card' content='summary' />
<meta name='twitter:site' content='@".$twitter_name."' />
<meta name='twitter:domain' content='".$settings['site_host']."' />
<meta name='twitter:creator' content='@".$twitter_name."' />
<meta name='twitter:title' content='".trimlink($get_art['article_subject'],70)."' />
<meta name='twitter:description' content='".trimlink($art,200)."' />
<meta name='twitter:url' content='".$settings['siteurl'].FUSION_SELF."?article_id=".$_GET['article_id']."'>"); }

  }
?>